package com.stephengware.java.mss;

/**
 * <p>Indicates that the server has accepted a new socket.</p>
 * 
 * <p>This event will always occur before any {@link InputEvent}s for this
 * connection and before the connection's {@link DisconnectEvent}.</p>
 * 
 * @author Stephen G. Ware
 * @version 1
 */
public final class ConnectEvent extends Event { 
	
	/**
	 * The new connection.
	 */
	public final Connection connection;
	
	/**
	 * Creates a new event.
	 * 
	 * @param connection
	 */
	ConnectEvent(Connection connection){
		super(Type.CONNECT);
		this.connection = connection;
	}
}
