package com.stephengware.java.mss;

/**
 * <p>Indicates that a connection has disconnected from the server.</p>
 * 
 * <p>This event will always occur after the connection's
 * {@link ConnectEvent} and all of its {@link InputEvent}s.</p>
 * 
 * @author Stephen G. Ware
 * @version 1
 */
public final class DisconnectEvent extends Event { 
	
	public final Connection connection;
	
	DisconnectEvent(Connection connection){
		super(Type.DISCONNECT);
		this.connection = connection;
	}
}
