package com.stephengware.java.mss;

/**
 * <p>Indicates that an exception has occurred while creating a new connection,
 * processing the input from a connection, or closing a connection.</>
 * 
 * <p>This event may occur at any time.</p>
 * 
 * @author Stephen G. Ware
 * @version 1
 */
public final class ExceptionEvent extends Event { 
	
	public final Exception exception;
	
	ExceptionEvent(Exception exception){
		super(Type.EXCEPTION);
		this.exception = exception;
	}
}
