package com.stephengware.java.mss;

/**
 * <p>Indicates that a connection has sent a message to the server.</p>
 * 
 * <p>These events will always after the connection's {@link ConnectEvent},
 * and before its {@link DisconnectEvent}.</p>
 * 
 * @author Stephen G. Ware
 * @version 1
 */
public final class InputEvent extends Event { 
	
	public final Connection connection;
	public final String input;
	
	InputEvent(Connection connection, String input){
		super(Type.INPUT);
		this.connection = connection;
		this.input = input;
	}
}
